MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002319VCMIOtherpublic2015-10-27 08:262016-09-04 08:11
Reporterterax 
Assigned ToAVS 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformIntelOSXUbuntuOS Version15.04
Product Version0.98d 
Target VersionFixed in Version0.99 
Summary0002319: Game crashes when trying to load a save
DescriptionI've tried playing a multiplayer game and a campaign game. A fresh save seems to load just fine but after a few turns it ?becomes corrupted? and VCMI crashes when trying to load it.

Occurs both on 0.98b (from ppa:saven-ivan/vcmi) and 0.98e (compiled from your git repo).

Let me know if I can attach any more info to help you track this thing.
Additional Informationvcmiclient
Starting...
Creating console and configuring logger: 11
The log file will be saved to "/home/X/.cache/vcmi/VCMI_Client_log.txt"
     Initialization: 7
     Data loading: 55
    Mod handler: 0
     Mod filesystems: 20
Basic initialization: 83
Initialized logging system based on settings successfully.
Loading settings: 84
VCMI 0.98e (client)
Found 3 render drivers
    opengl (active)
    opengles2
    software
Created renderer opengl
    Initializing screen: 72
    Initializing video: 4
Initializing screen and sound handling: 1
        Bonus type handler: 7
        General text handler: 4
        Hero handler: 3
        Artifact handler: 0
        Creature handler: 0
        Town handler: 0
        Object handler: 0
        Object types information handler: 0
        Spell handler: 0
        Terrain view pattern handler: 2
        Template handler: 0
    Initializing handlers: 18
    Initializing content handler: 69 ms
        [21a00ddb] Original game files
        [621636f9] VCMI essential files
        [9c426238] High-res Menu
        [745a0d08] True type fonts
        [a8375329] Default templates
        [ee94c499] Analogy
        [41cec3db] Clash of Dragons
        [00ee53f1] Coldshadow's Fantasy
        [52680f04] Golden Ring
        [ac03916f] Jebus Cross
        [41b59566] Upgrade
    Parsing mod data: 37 ms
        [SKIP] Original game files
        [SKIP] VCMI essential files
        [SKIP] High-res Menu
        [SKIP] True type fonts
        [SKIP] Default templates
        [SKIP] Analogy
        [SKIP] Clash of Dragons
        [SKIP] Coldshadow's Fantasy
        [SKIP] Golden Ring
        [SKIP] Jebus Cross
        [SKIP] Upgrade
    Loading mod data: 72ms
    Resolving identifiers: 6 ms
No templates found for 38:1
No templates found for 49:1
No templates found for 70:0
No templates found for 79:7
No templates found for 90:1
No templates found for 100:1
No templates found for 103:1
No templates found for 113:1
No templates found for 172:0
No templates found for 186:0
No templates found for 189:0
    Handlers post-load finalization: 11 ms
    All game content loaded in 196 ms
Initializing VCMI_Lib: 217
Loading and transforming heroes' flags: 43
Screen handler: 52
    Main graphics: 31
Initializing game graphics: 84
Message handler: 2
Initialization of VCMI (together): 480
Blocking buttons from 1
Loading procedure started!
Setting up thread calling server: 0
Loading lib part of game...
    Reading header
Desync found! Position: 3158
    Reading options
    Reading handlers
    Reading gamestate
No templates found for 38:1
No templates found for 49:1
No templates found for 70:0
No templates found for 79:7
No templates found for 90:1
No templates found for 100:1
No templates found for 103:1
No templates found for 113:1
No templates found for 172:0
No templates found for 186:0
No templates found for 189:0
bind: Address already in use
terminate called after throwing an instance of 'boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<boost::system::system_error> >'
  what(): bind: Address already in use
Segmentation fault (core dumped)
Aborted (core dumped)
TagsNo tags attached.
Attached Files? file icon Autosave_1.vcgm1 [^] (3,189,280 bytes) 2015-10-27 08:26
? file icon Autosave_1.vsgm1 [^] (3,191,809 bytes) 2015-10-27 08:27

- Relationships
duplicate of 0002314resolvedAVS Crashes related to bonus system in deserializationFix 

-  Notes
(0006045)
SXX (administrator)
2015-10-27 15:35
edited on: 2015-10-27 15:35

what(): bind: Address already in use

Make sure to "killall -9 vcmiserver" before starting new game (or loading save) after crash. I think there is few cases on Linux when client may crash while server keep running or waiting for something.

(0006046)
SXX (administrator)
2015-10-27 15:39

But this crash is within bonus system just like 0002314.
(0006606)
SXX (administrator)
2016-09-04 08:11
edited on: 2016-09-04 08:11

Fixed by PR202. For more details or comments please use 0002314


- Issue History
Date Modified Username Field Change
2015-10-27 08:26 terax New Issue
2015-10-27 08:26 terax File Added: Autosave_1.vcgm1
2015-10-27 08:27 terax File Added: Autosave_1.vsgm1
2015-10-27 15:35 SXX Note Added: 0006045
2015-10-27 15:35 SXX Note Edited: 0006045 View Revisions
2015-10-27 15:39 SXX Relationship added duplicate of 0002314
2015-10-27 15:39 SXX Note Added: 0006046
2015-12-22 23:06 SXX Assigned To => AVS
2015-12-22 23:06 SXX Status new => assigned
2016-09-04 08:11 SXX Note Added: 0006606
2016-09-04 08:11 SXX Status assigned => resolved
2016-09-04 08:11 SXX Fixed in Version => 0.99
2016-09-04 08:11 SXX Resolution open => fixed
2016-09-04 08:11 SXX Note Edited: 0006606 View Revisions

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean